<?php
use LabBase\Model\Brand;
use LabBase\Model\User;

echo $this->doctype(); ?>

<html lang="en">
<head>

    <meta charset="utf-8" />

    <?= $this->headTitle(); ?>


    <?= $this->headMeta()
        ->appendName('viewport', 'width=device-width, initial-scale=1.0')
        ->appendHttpEquiv('X-UA-Compatible', 'IE=edge') ?>


    <?= $this->headLink(array('rel' => 'shortcut icon', 'type' => 'image/vnd.microsoft.icon', 'href' => $this->basePath() . '/img/favicon.ico'))
        ->prependStylesheet($this->basePath() . '/css/style.css') ?>


    <?= $this->headStyle() ?>


    <?= $this->headScript()
        ->prependFile($this->basePath() . '/js/jquery-1.11.3.min.js') ?>


</head>
<body>

<script type="text/javascript">
	/* fonts selection
	
    WebFontConfig = {
        google: { families: [ 'Open+Sans:400,700:latin', 'Lato:400,700:latin', 'Slabo+27px::latin', 'Ubuntu:400,700:latin', 'PT+Sans+Narrow:400,700:latin' ] }
    };
    (function() {
        var wf = document.createElement('script');
        wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
        '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);
    })();
    function setFont(font) {
        $('body').css('font-family', '"'+font+'","Courier New",sans-serif')
    }
	*/

	// Analytics
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

    ga('create', 'UA-65304458-1', 'auto');
    ga('send', 'pageview');

    function getPageAnalURL() {
        var s = document.location.href.toString();
        s = s.slice(s.indexOf('//') + 2);
        return s.slice(s.indexOf('/')); // include the '/'
    }

</script>

<!-- Font selection
<style>
    .fontSelection:hover {
        background-color: #ccc;
        color: #37f;
    }
    .fontSelection {
        position: fixed;
        top: 50px;
        right: 0;
        width: 130px;
        padding: 5px;
        background-color: rgba(0,0,0,0.1);
        color: rgba(0,0,0,0);
    }
    .fontSelection a {
        color: inherit;
        margin: 4px 0;
        display: block;
    }
</style>
<div class="fontSelection">
    <a href="#" onclick="setFont('Open Sans'); return false;">Open Sans</a>
    <a href="#" onclick="setFont('Lato'); return false;">Lato</a>
    <a href="#" onclick="setFont('Slabo 27px'); return false;">Slabo</a>
    <a href="#" onclick="setFont('Ubuntu'); return false;">Ubuntu</a>
    <a href="#" onclick="setFont('PT Sans Narrow'); return false;">PT Sans Narrow</a>
</div>
-->


<!-- Facebook and Twitter SDK -->
<div id="fb-root"></div>
<script>
    // Facebook:
    (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&appId=1050501688309785&version=v2.0";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));

    // Twitter:
    window.twttr = (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0],
            t = window.twttr || {};
        if (d.getElementById(id)) return;
        js = d.createElement(s);
        js.id = id;
        js.src = "https://platform.twitter.com/widgets.js";
        fjs.parentNode.insertBefore(js, fjs);

        t._e = [];
        t.ready = function(f) {
            t._e.push(f);
        };

    return t;
    }(document, "script", "twitter-wjs"));
</script>


<div id="dialogBox-container"></div>

<script src="<?php echo $this->basePath(); ?>/js/global.js"></script>


<!-- Content start -->


<div id="topbar" class="topbar">
    <div class="topbar-content">
        <div class="topbar-logo">
            
			<?
            /** @var User $user */
            $user = $this->sessionInfo()->getLoggedInUser();

            $brandName = null;
            if($this->BrandName) {
                $brandName = $this->BrandName;
                $brandUrl = $this->BrandUrl;
            }else{
                if ($user && $user->lastVisitedBrandId !== null) {
                    /** @var Brand $brand */
                    $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
                    if ($brand) {
                        $brandName = $brand->name;
                        $brandUrl = $brand->url;
                    }
                }
            }

            if($brandName) { ?>
                <a href="<?= $this->url('root/brandFeed', ['brandUrl' => $brandUrl]) ?>">
                    <div class="textlogo">
                        <?= $brandName ?>
                    </div>
                </a>
            <? }else{ ?>
                <a href="<?= $this->url('root') ?>">
                    <img src="<?= $this->basePath() ?>/img/logo-small.png" alt="Love a Brand" style="margin-left: 5px; width: 150px;"/>
                </a>
            <? } ?>
        </div>
        <div class="topbar-mid-wrapper hiddenMobile">
            <div class="topbar-mid">
                <form id="search-form" action="<?= $this->url('root/discover', ['action' => 'search']) ?>" method="get">
                    <div class="search-bar">
                        <input type="text" name="q" placeholder="Search brands" style="border: none; outline: none; height: 20px;" data-padded-search="1" autocomplete="off" onkeyup="searchAutocomplete(this)" onblur="searchAutocomplete(false)">
                    </div>
                    <div class="search-button">
                        <a href="#" onclick="$('#search-form').submit();" class="oi" style="color: #ccc;" data-glyph="magnifying-glass"></a>
                    </div>
                </form>
            </div>

            <a class="topbar-mid-link" href="<?= $this->url('root/discover', ['action' => 'search']) ?>">Discover more</a>
        </div>

        <div class="topbar-right">
            <? if($user) { ?>
                <span id="notificationDropdown" class="dropdownMenu">
                    <div id="notificationDropdownContent">
                        <a href="#"><div>Loading...</div></a>
                    </div>
                </span>
                <span id="userDropdown" class="dropdownMenu">
                    <div>
                        <a href="<?= $this->url('root/register'); ?>">Register new Brand</a>
                        <a href="<?= $this->url('root/myBrand'); ?>">Manage my brand</a>
                        <a href="<?= $this->url('root/userSettings'); ?>">Account settings</a>
                        <!-- hidden until we fill it with some content
                        <a href="<?= $this->url('root/brandOwnerHelp'); ?>">Help</a> -->
                        <?
                        if($user->isAdmin()) {
                            ?>
                            <a href="<?= $this->url('root/adminPanel') ?>">Admin Panel</a>
                            <?
                        }
                        ?>
                        <a href="<?= $this->url('root/logout', ['sessionId' => $user->sessionId]) ?>">Sign out</a>
                    </div>
                </span>
                <span id="searchDropdownIcon" class="dropdownActivator topbar-icon hiddenDesktop">
                    <div class="topbarIconImageContainer">
                        <div class="oi" style="font-size: 18px; color: #35a7f1; text-shadow: 1px 1px 2px #1078c3;" data-glyph="magnifying-glass"></div>
                    </div>
                </span>
                <span id="notificationDropdownIcon" class="dropdownActivator topbar-icon">
                    <div class="topbarIconImageContainer">
                        <div class="topbarIconImageContainer"><img src="<?= $this->imageLinker()->getImageLinkFromId('system-notification-icon'); ?>" class="topbarIconImage" /></div>
                        <!-- <div class="oi" data-glyph="comment-square"></div> -->
                    </div>
                    <div id="notificationDropdownIconIndicator" class="inactive">0</div>
                </span>
                <span id="userDropdownIcon" class="dropdownActivator topbar-icon">
                    <span class="topbarLongLabel">
                        <div class="topbarIconImageContainer"><img src="<?= $this->imageLinker()->getUserAvatarLink($user); ?>" class="topbarIconImage" /></div>
                        &nbsp;<?= $user->fullName ?>▼
                    </span>
                    <span class="topbarShortLabel">
                        <div class="topbarIconImageContainer"><img src="<?= $this->imageLinker()->getImageLinkFromId('system-vertical-menu-icon'); ?>" class="topbarIconImage" /></div>

                    </span>

                </span>
            <? }else{ // if user ?>
                <span id="userLoginDropdown" class="dropdownMenu">
                    <div>
                        <a href="<?= $this->url('root/register'); ?>">Join us</a>
                        <a href="<?= $this->url('root/signin'); ?>">I already have an account</a>
                    </div>
                </span>
                <span id="userLoginDropdownIcon" class="dropdownActivator topbar-icon">
                    <div class="topbarIconImageContainer">
                        <span class="oi" data-glyph="chevron-bottom"></span>
                    </div>
                </span>
            <? } // end if user ?>

        </div>
    </div>
</div>

<span id="searchDropdown" class="dropdownMenu">
    <span id="searchDropdownContent">
        <form id="mobile-search-form" action="<?= $this->url('root/discover', ['action' => 'search']) ?>" method="get">
            <div class="search-bar">
                <input type="text" name="q" placeholder="Search brands" style="border: none; outline: none; height: 20px;" autocomplete="off" onkeyup="searchAutocomplete(this)" onblur="searchAutocomplete(false)">
            </div>
            <div class="search-button">
                <a href="#" onclick="$('#mobile-search-form').submit();" class="oi" style="color: #ccc;" data-glyph="magnifying-glass"></a>
            </div>
        </form>
    </span>
</span>

<span id="searchAutocompleteDropdown" class="raw dropdownMenu">
    <div id="searchAutocompleteLinkContainer">
        <i>No results found</i>
    </div>
</span>



<noscript>
    <div style="margin: 15px 10px 0 10px">
        <div class="align-center">
            <div class="alertbox">
                This website requires JavaScript for proper functionality.
                Please re-enable JavaScript.
            </div>
        </div>
    </div>
</noscript>


<script>

    $(document).ready(function() {
        <? if($user) : ?>
        getNotifications();
        <? endif; ?>

        var autocompleteAnchorEl = false;

        function resizeAutocomplete() {
            if (!autocompleteAnchorEl) return;

            var $anchor = $(autocompleteAnchorEl);
            var $el = $('#searchAutocompleteDropdown');

            var pos = $anchor.offset(),
                width = $anchor.outerWidth(),
                height = $anchor.outerHeight();
            if ($anchor.data('paddedSearch')) {
                $el.css({
                    position: 'absolute',
                    top: pos.top + height,
                    left: (pos.left - 2) + 'px',
                    width: (width + 27) + 'px'
                });
            } else {
                $el.css({
                    position: 'absolute',
                    top: pos.top + height,
                    left: (pos.left) + 'px',
                    width: (width) + 'px'
                });
            }

        }

        var autocompleteEnabled = false;
        var autocompleteTextQueued = false;

        function autocompleteTimer() {
            if (!autocompleteEnabled) return;

            ajaxSubmit('<?= $this->url('root/getBrandSearchAutocomplete') ?>', {query: autocompleteTextQueued}, function (data) {

                if (!autocompleteEnabled) return;

                var html = '';
                for (var i in data.items) {
                    var item = data.items[i];
                    var url = '<?= $this->url('root/brandFeed', ['brandUrl' => 'BRANDURL']) ?>';
                    html += '<a href="' + url.replace('BRANDURL', item.url).replace(/"/g, "\\\"") + '">' + item.text + '</a> \n';
                }
                if (html == '') {
                    html = '<i>No results found</i>';
                }
                $('#searchAutocompleteLinkContainer').html(html);

                $('#searchAutocompleteDropdown').addClass('active');
                resizeAutocomplete();

                if (autocompleteTextQueued) {
                    autocompleteEnabled = true;
                    window.setTimeout(autocompleteTimer, 500);
                } else {
                    autocompleteEnabled = false;
                }
            }, function () { // on fail
                autocompleteEnabled = false;
            });

            autocompleteTextQueued = false;
        }

        function checkHideAutocomplete() {
            if ($('#searchAutocompleteDropdown').find('*:focus').length) {
                window.setTimeout(checkHideAutocomplete, 100);
            } else {
                $('#searchAutocompleteDropdown').removeClass('active');
                autocompleteEnabled = false;
                autocompleteAnchorEl = false;
            }
        }

        function hideAutocomplete(el) {
            window.setTimeout(checkHideAutocomplete, 100);
        }

        function searchAutocomplete(el) {
            if (el === false) hideAutocomplete();
            var text = $(el).val().trim();
            if (!text || text == '') hideAutocomplete();

            autocompleteAnchorEl = el;

            if (!autocompleteEnabled) {
                autocompleteEnabled = true;
                autocompleteTextQueued = text;
                window.setTimeout(autocompleteTimer, 500);
            } else {
                autocompleteTextQueued = text;
            }
        }
    }); // end document ready

    // Dropdowns
    var $currentlyOpenMenu = null;
    var $icons = [];

    function closeCurrentDropdown() {
        if($currentlyOpenMenu == null)
            return;
        var $icon = $icons[$currentlyOpenMenu[0].id];
        $icon.removeClass('active');
        $currentlyOpenMenu.removeClass('active');
        $currentlyOpenMenu = null;
    }

    $('body').click(function(e) {
        if($currentlyOpenMenu == null)
            return;
        var $target = $(e.target);
        if ($target.closest('.dropdownMenu').length === 0 && $target.closest('.dropdownActivator').length === 0) {
            closeCurrentDropdown();
        }
    });

    function makeDropdownMenu($icon, $menu, positionAtIcon, noPositionOverride) {
        if(!$icon[0] || !$menu[0]) {
            console.warn("makeDropdownMenu with empty icon or menu: ", $icon, $menu);
            return;
        }
        $icons[$menu[0].id] = $icon;
        $icon.click(function(ev) {
            ev.stopPropagation();
            closeCurrentDropdown();
            $currentlyOpenMenu = $menu;
            $menu.addClass('active');
            $icon.addClass('active');
            var $div = $menu.children('div');

            if(!noPositionOverride) {
                if (positionAtIcon) {
                    $div.css('right', '0px');
                    var diff = $div.offset().left - $icon.offset().left + ($div.outerWidth() - $icon.outerWidth());
                    $div.css('right', Math.floor(diff) + 'px')
                } else {
                    $div.css('right', '10px');
                }
            }
        });
    }
    makeDropdownMenu($('#searchDropdownIcon'), $('#searchDropdown'), 0, true);

    <? if($user) { ?>
    makeDropdownMenu($('#userDropdownIcon'), $('#userDropdown'));
    makeDropdownMenu($('#notificationDropdownIcon'), $('#notificationDropdown'));
    <? } else { ?>
    makeDropdownMenu($('#userLoginDropdownIcon'), $('#userLoginDropdown'));
    <? } ?>
</script>


<div id="site-content">
    <?= $this->content; ?>
</div>
<!-- Content end -->

<?= $this->inlineScript() ?>

</body>

</html>



